/* Animation.c generated by valac 0.34.9, the Vala compiler
 * generated from Animation.vala, do not modify */

/**/
/*  Copyright (C) 2014 Tom Beckmann*/
/**/
/*  This program is free software: you can redistribute it and/or modify*/
/*  it under the terms of the GNU General Public License as published by*/
/*  the Free Software Foundation, either version 3 of the License, or*/
/*  (at your option) any later version.*/
/**/
/*  This program is distributed in the hope that it will be useful,*/
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of*/
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the*/
/*  GNU General Public License for more details.*/
/**/
/*  You should have received a copy of the GNU General Public License*/
/*  along with this program.  If not, see <http://www.gnu.org/licenses/>.*/
/**/

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>
#include <libgnome-desktop/gnome-bg-slide-show.h>
#include <gio/gio.h>
#include <meta/boxes.h>


#define GALA_TYPE_ANIMATION (gala_animation_get_type ())
#define GALA_ANIMATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GALA_TYPE_ANIMATION, GalaAnimation))
#define GALA_ANIMATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GALA_TYPE_ANIMATION, GalaAnimationClass))
#define GALA_IS_ANIMATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GALA_TYPE_ANIMATION))
#define GALA_IS_ANIMATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GALA_TYPE_ANIMATION))
#define GALA_ANIMATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GALA_TYPE_ANIMATION, GalaAnimationClass))

typedef struct _GalaAnimation GalaAnimation;
typedef struct _GalaAnimationClass GalaAnimationClass;
typedef struct _GalaAnimationPrivate GalaAnimationPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block22Data Block22Data;
typedef struct _GalaAnimationLoadData GalaAnimationLoadData;

struct _GalaAnimation {
	GObject parent_instance;
	GalaAnimationPrivate * priv;
};

struct _GalaAnimationClass {
	GObjectClass parent_class;
};

struct _GalaAnimationPrivate {
	gchar* _filename;
	gchar** _key_frame_files;
	gint _key_frame_files_length1;
	gint __key_frame_files_size_;
	gdouble _transition_progress;
	gdouble _transition_duration;
	gboolean _loaded;
	GnomeBGSlideShow* show;
};

struct _Block22Data {
	int _ref_count_;
	GalaAnimation* self;
	gpointer _async_data_;
};

struct _GalaAnimationLoadData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	GalaAnimation* self;
	Block22Data* _data22_;
	const gchar* _tmp0_;
	GnomeBGSlideShow* _tmp1_;
	GnomeBGSlideShow* _tmp2_;
};


static gpointer gala_animation_parent_class = NULL;

GType gala_animation_get_type (void) G_GNUC_CONST;
#define GALA_ANIMATION_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GALA_TYPE_ANIMATION, GalaAnimationPrivate))
enum  {
	GALA_ANIMATION_DUMMY_PROPERTY,
	GALA_ANIMATION_FILENAME,
	GALA_ANIMATION_KEY_FRAME_FILES,
	GALA_ANIMATION_TRANSITION_PROGRESS,
	GALA_ANIMATION_TRANSITION_DURATION,
	GALA_ANIMATION_LOADED
};
GalaAnimation* gala_animation_new (const gchar* filename);
GalaAnimation* gala_animation_construct (GType object_type, const gchar* filename);
static void gala_animation_load_data_free (gpointer _data);
void gala_animation_load (GalaAnimation* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
void gala_animation_load_finish (GalaAnimation* self, GAsyncResult* _res_);
static gboolean gala_animation_load_co (GalaAnimationLoadData* _data_);
static Block22Data* block22_data_ref (Block22Data* _data22_);
static void block22_data_unref (void * _userdata_);
const gchar* gala_animation_get_filename (GalaAnimation* self);
static void __lambda14_ (Block22Data* _data22_, GObject* obj, GAsyncResult* res);
static void gala_animation_set_loaded (GalaAnimation* self, gboolean value);
static void ___lambda14__gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self);
void gala_animation_update (GalaAnimation* self, MetaRectangle* monitor);
static void gala_animation_set_transition_duration (GalaAnimation* self, gdouble value);
static void gala_animation_set_transition_progress (GalaAnimation* self, gdouble value);
static void _vala_array_add4 (gchar*** array, int* length, int* size, gchar* value);
static void _vala_array_add5 (gchar*** array, int* length, int* size, gchar* value);
static void gala_animation_set_key_frame_files (GalaAnimation* self, gchar** value, int value_length1);
static void gala_animation_set_filename (GalaAnimation* self, const gchar* value);
gchar** gala_animation_get_key_frame_files (GalaAnimation* self, int* result_length1);
static gchar** _vala_array_dup8 (gchar** self, int length);
gdouble gala_animation_get_transition_progress (GalaAnimation* self);
gdouble gala_animation_get_transition_duration (GalaAnimation* self);
gboolean gala_animation_get_loaded (GalaAnimation* self);
static void gala_animation_finalize (GObject* obj);
static void _vala_gala_animation_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_gala_animation_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


GalaAnimation* gala_animation_construct (GType object_type, const gchar* filename) {
	GalaAnimation * self = NULL;
	const gchar* _tmp0_ = NULL;
#line 30 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_val_if_fail (filename != NULL, NULL);
#line 32 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = filename;
#line 32 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self = (GalaAnimation*) g_object_new (object_type, "filename", _tmp0_, NULL);
#line 30 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return self;
#line 141 "Animation.c"
}


GalaAnimation* gala_animation_new (const gchar* filename) {
#line 30 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return gala_animation_construct (GALA_TYPE_ANIMATION, filename);
#line 148 "Animation.c"
}


static void gala_animation_load_data_free (gpointer _data) {
	GalaAnimationLoadData* _data_;
	_data_ = _data;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_g_object_unref0 (_data_->self);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_slice_free (GalaAnimationLoadData, _data_);
#line 159 "Animation.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return self ? g_object_ref (self) : NULL;
#line 166 "Animation.c"
}


void gala_animation_load (GalaAnimation* self, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	GalaAnimationLoadData* _data_;
	GalaAnimation* _tmp0_ = NULL;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_ = g_slice_new0 (GalaAnimationLoadData);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, gala_animation_load);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, gala_animation_load_data_free);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->self = _tmp0_;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	gala_animation_load_co (_data_);
#line 185 "Animation.c"
}


void gala_animation_load_finish (GalaAnimation* self, GAsyncResult* _res_) {
	GalaAnimationLoadData* _data_;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 193 "Animation.c"
}


static Block22Data* block22_data_ref (Block22Data* _data22_) {
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_atomic_int_inc (&_data22_->_ref_count_);
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return _data22_;
#line 202 "Animation.c"
}


static void block22_data_unref (void * _userdata_) {
	Block22Data* _data22_;
	_data22_ = (Block22Data*) _userdata_;
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	if (g_atomic_int_dec_and_test (&_data22_->_ref_count_)) {
#line 211 "Animation.c"
		GalaAnimation* self;
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		self = _data22_->self;
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_g_object_unref0 (self);
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		g_slice_free (Block22Data, _data22_);
#line 219 "Animation.c"
	}
}


static void __lambda14_ (Block22Data* _data22_, GObject* obj, GAsyncResult* res) {
	GalaAnimation* self;
#line 39 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self = _data22_->self;
#line 39 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_if_fail (res != NULL);
#line 40 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	gala_animation_set_loaded (self, TRUE);
#line 42 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	gala_animation_load_co (_data22_->_async_data_);
#line 234 "Animation.c"
}


static void ___lambda14__gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self) {
#line 39 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	__lambda14_ (self, source_object, res);
#line 241 "Animation.c"
}


static gboolean gala_animation_load_co (GalaAnimationLoadData* _data_) {
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	switch (_data_->_state_) {
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case 0:
#line 250 "Animation.c"
		goto _state_0;
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case 1:
#line 254 "Animation.c"
		goto _state_1;
		default:
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		g_assert_not_reached ();
#line 259 "Animation.c"
	}
	_state_0:
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_data22_ = g_slice_new0 (Block22Data);
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_data22_->_ref_count_ = 1;
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_data22_->self = g_object_ref (_data_->self);
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_data22_->_async_data_ = _data_;
#line 37 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_tmp0_ = NULL;
#line 37 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_tmp0_ = _data_->self->priv->_filename;
#line 37 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_tmp1_ = NULL;
#line 37 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_tmp1_ = gnome_bg_slide_show_new (_data_->_tmp0_);
#line 37 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_g_object_unref0 (_data_->self->priv->show);
#line 37 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->self->priv->show = _data_->_tmp1_;
#line 39 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_tmp2_ = NULL;
#line 39 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_tmp2_ = _data_->self->priv->show;
#line 39 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	gnome_bg_slide_show_load_async (_data_->_tmp2_, NULL, ___lambda14__gasync_ready_callback, _data_->_data22_);
#line 45 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_state_ = 1;
#line 45 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return FALSE;
#line 292 "Animation.c"
	_state_1:
	;
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	block22_data_unref (_data_->_data22_);
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_data_->_data22_ = NULL;
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	if (_data_->_state_ == 0) {
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 303 "Animation.c"
	} else {
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 307 "Animation.c"
	}
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_unref (_data_->_async_result);
#line 35 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return FALSE;
#line 313 "Animation.c"
}


static void _vala_array_add4 (gchar*** array, int* length, int* size, gchar* value) {
#line 67 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	if ((*length) == (*size)) {
#line 67 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 67 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 324 "Animation.c"
	}
#line 67 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	(*array)[(*length)++] = value;
#line 67 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	(*array)[*length] = NULL;
#line 330 "Animation.c"
}


static void _vala_array_add5 (gchar*** array, int* length, int* size, gchar* value) {
#line 70 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	if ((*length) == (*size)) {
#line 70 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 70 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 341 "Animation.c"
	}
#line 70 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	(*array)[(*length)++] = value;
#line 70 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	(*array)[*length] = NULL;
#line 347 "Animation.c"
}


void gala_animation_update (GalaAnimation* self, MetaRectangle* monitor) {
	gchar** key_frame_files = NULL;
	gchar** _tmp0_ = NULL;
	gint key_frame_files_length1 = 0;
	gint _key_frame_files_size_ = 0;
	GnomeBGSlideShow* _tmp1_ = NULL;
	GnomeBGSlideShow* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gdouble progress = 0.0;
	gdouble duration = 0.0;
	gboolean is_fixed = FALSE;
	gchar* file1 = NULL;
	gchar* file2 = NULL;
	GnomeBGSlideShow* _tmp4_ = NULL;
	MetaRectangle _tmp5_ = {0};
	gint _tmp6_ = 0;
	MetaRectangle _tmp7_ = {0};
	gint _tmp8_ = 0;
	gdouble _tmp9_ = 0.0;
	gdouble _tmp10_ = 0.0;
	gboolean _tmp11_ = FALSE;
	const gchar* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	gdouble _tmp16_ = 0.0;
	gdouble _tmp17_ = 0.0;
	const gchar* _tmp18_ = NULL;
	const gchar* _tmp22_ = NULL;
	gchar** _tmp26_ = NULL;
	gint _tmp26__length1 = 0;
#line 48 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_if_fail (self != NULL);
#line 48 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_if_fail (monitor != NULL);
#line 50 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = g_new0 (gchar*, 0 + 1);
#line 50 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	key_frame_files = _tmp0_;
#line 50 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	key_frame_files_length1 = 0;
#line 50 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_key_frame_files_size_ = key_frame_files_length1;
#line 52 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp1_ = self->priv->show;
#line 52 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	if (_tmp1_ == NULL) {
#line 53 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		key_frame_files = (_vala_array_free (key_frame_files, key_frame_files_length1, (GDestroyNotify) g_free), NULL);
#line 53 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		return;
#line 402 "Animation.c"
	}
#line 55 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp2_ = self->priv->show;
#line 55 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp3_ = gnome_bg_slide_show_get_num_slides (_tmp2_);
#line 55 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	if (_tmp3_ < 1) {
#line 56 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		key_frame_files = (_vala_array_free (key_frame_files, key_frame_files_length1, (GDestroyNotify) g_free), NULL);
#line 56 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		return;
#line 414 "Animation.c"
	}
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp4_ = self->priv->show;
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp5_ = *monitor;
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp6_ = _tmp5_.width;
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp7_ = *monitor;
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp8_ = _tmp7_.height;
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	gnome_bg_slide_show_get_current_slide (_tmp4_, _tmp6_, _tmp8_, &_tmp9_, &_tmp10_, &_tmp11_, &_tmp12_, &_tmp13_);
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	progress = _tmp9_;
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	duration = _tmp10_;
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	is_fixed = _tmp11_;
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_g_free0 (file1);
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp14_ = g_strdup (_tmp12_);
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	file1 = _tmp14_;
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_g_free0 (file2);
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp15_ = g_strdup (_tmp13_);
#line 61 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	file2 = _tmp15_;
#line 63 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp16_ = duration;
#line 63 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	gala_animation_set_transition_duration (self, _tmp16_);
#line 64 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp17_ = progress;
#line 64 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	gala_animation_set_transition_progress (self, _tmp17_);
#line 66 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp18_ = file1;
#line 66 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	if (_tmp18_ != NULL) {
#line 458 "Animation.c"
		gchar** _tmp19_ = NULL;
		gint _tmp19__length1 = 0;
		const gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
#line 67 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_tmp19_ = key_frame_files;
#line 67 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_tmp19__length1 = key_frame_files_length1;
#line 67 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_tmp20_ = file1;
#line 67 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_tmp21_ = g_strdup (_tmp20_);
#line 67 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_vala_array_add4 (&key_frame_files, &key_frame_files_length1, &_key_frame_files_size_, _tmp21_);
#line 473 "Animation.c"
	}
#line 69 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp22_ = file2;
#line 69 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	if (_tmp22_ != NULL) {
#line 479 "Animation.c"
		gchar** _tmp23_ = NULL;
		gint _tmp23__length1 = 0;
		const gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
#line 70 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_tmp23_ = key_frame_files;
#line 70 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_tmp23__length1 = key_frame_files_length1;
#line 70 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_tmp24_ = file2;
#line 70 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_tmp25_ = g_strdup (_tmp24_);
#line 70 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_vala_array_add5 (&key_frame_files, &key_frame_files_length1, &_key_frame_files_size_, _tmp25_);
#line 494 "Animation.c"
	}
#line 72 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp26_ = key_frame_files;
#line 72 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp26__length1 = key_frame_files_length1;
#line 72 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	gala_animation_set_key_frame_files (self, _tmp26_, _tmp26__length1);
#line 48 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_g_free0 (file2);
#line 48 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_g_free0 (file1);
#line 48 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	key_frame_files = (_vala_array_free (key_frame_files, key_frame_files_length1, (GDestroyNotify) g_free), NULL);
#line 508 "Animation.c"
}


const gchar* gala_animation_get_filename (GalaAnimation* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = self->priv->_filename;
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	result = _tmp0_;
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return result;
#line 523 "Animation.c"
}


static void gala_animation_set_filename (GalaAnimation* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_if_fail (self != NULL);
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = value;
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_g_free0 (self->priv->_filename);
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_filename = _tmp1_;
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_notify ((GObject *) self, "filename");
#line 542 "Animation.c"
}


gchar** gala_animation_get_key_frame_files (GalaAnimation* self, int* result_length1) {
	gchar** result;
	gchar** _tmp0_ = NULL;
	gint _tmp0__length1 = 0;
	gchar** _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = self->priv->_key_frame_files;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0__length1 = self->priv->_key_frame_files_length1;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp1_ = _tmp0_;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp1__length1 = _tmp0__length1;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	if (result_length1) {
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		*result_length1 = _tmp1__length1;
#line 566 "Animation.c"
	}
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	result = _tmp1_;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return result;
#line 572 "Animation.c"
}


static gchar** _vala_array_dup8 (gchar** self, int length) {
	gchar** result;
	int i;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	result = g_new0 (gchar*, length + 1);
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	for (i = 0; i < length; i++) {
#line 583 "Animation.c"
		gchar* _tmp0_ = NULL;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		_tmp0_ = g_strdup (self[i]);
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		result[i] = _tmp0_;
#line 589 "Animation.c"
	}
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return result;
#line 593 "Animation.c"
}


static void gala_animation_set_key_frame_files (GalaAnimation* self, gchar** value, int value_length1) {
	gchar** _tmp0_ = NULL;
	gint _tmp0__length1 = 0;
	gchar** _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_if_fail (self != NULL);
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = value;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0__length1 = value_length1;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp1_ = (_tmp0_ != NULL) ? _vala_array_dup8 (_tmp0_, _tmp0__length1) : ((gpointer) _tmp0_);
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp1__length1 = _tmp0__length1;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_key_frame_files = (_vala_array_free (self->priv->_key_frame_files, self->priv->_key_frame_files_length1, (GDestroyNotify) g_free), NULL);
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_key_frame_files = _tmp1_;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_key_frame_files_length1 = _tmp1__length1;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->__key_frame_files_size_ = self->priv->_key_frame_files_length1;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_notify ((GObject *) self, "key-frame-files");
#line 622 "Animation.c"
}


gdouble gala_animation_get_transition_progress (GalaAnimation* self) {
	gdouble result;
	gdouble _tmp0_ = 0.0;
#line 24 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 24 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = self->priv->_transition_progress;
#line 24 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	result = _tmp0_;
#line 24 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return result;
#line 637 "Animation.c"
}


static void gala_animation_set_transition_progress (GalaAnimation* self, gdouble value) {
	gdouble _tmp0_ = 0.0;
#line 24 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_if_fail (self != NULL);
#line 24 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = value;
#line 24 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_transition_progress = _tmp0_;
#line 24 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_notify ((GObject *) self, "transition-progress");
#line 651 "Animation.c"
}


gdouble gala_animation_get_transition_duration (GalaAnimation* self) {
	gdouble result;
	gdouble _tmp0_ = 0.0;
#line 25 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 25 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = self->priv->_transition_duration;
#line 25 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	result = _tmp0_;
#line 25 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return result;
#line 666 "Animation.c"
}


static void gala_animation_set_transition_duration (GalaAnimation* self, gdouble value) {
	gdouble _tmp0_ = 0.0;
#line 25 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_if_fail (self != NULL);
#line 25 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = value;
#line 25 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_transition_duration = _tmp0_;
#line 25 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_notify ((GObject *) self, "transition-duration");
#line 680 "Animation.c"
}


gboolean gala_animation_get_loaded (GalaAnimation* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 26 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 26 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = self->priv->_loaded;
#line 26 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	result = _tmp0_;
#line 26 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	return result;
#line 695 "Animation.c"
}


static void gala_animation_set_loaded (GalaAnimation* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 26 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_return_if_fail (self != NULL);
#line 26 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = value;
#line 26 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_loaded = _tmp0_;
#line 26 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_notify ((GObject *) self, "loaded");
#line 709 "Animation.c"
}


static void gala_animation_class_init (GalaAnimationClass * klass) {
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	gala_animation_parent_class = g_type_class_peek_parent (klass);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_type_class_add_private (klass, sizeof (GalaAnimationPrivate));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_gala_animation_get_property;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_gala_animation_set_property;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	G_OBJECT_CLASS (klass)->finalize = gala_animation_finalize;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GALA_ANIMATION_FILENAME, g_param_spec_string ("filename", "filename", "filename", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GALA_ANIMATION_KEY_FRAME_FILES, g_param_spec_boxed ("key-frame-files", "key-frame-files", "key-frame-files", G_TYPE_STRV, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GALA_ANIMATION_TRANSITION_PROGRESS, g_param_spec_double ("transition-progress", "transition-progress", "transition-progress", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GALA_ANIMATION_TRANSITION_DURATION, g_param_spec_double ("transition-duration", "transition-duration", "transition-duration", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GALA_ANIMATION_LOADED, g_param_spec_boolean ("loaded", "loaded", "loaded", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 734 "Animation.c"
}


static void gala_animation_instance_init (GalaAnimation * self) {
	gchar** _tmp0_ = NULL;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv = GALA_ANIMATION_GET_PRIVATE (self);
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_tmp0_ = g_new0 (gchar*, 0 + 1);
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_key_frame_files = _tmp0_;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_key_frame_files_length1 = 0;
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->__key_frame_files_size_ = self->priv->_key_frame_files_length1;
#line 24 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_transition_progress = 0.0;
#line 25 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_transition_duration = 0.0;
#line 26 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_loaded = FALSE;
#line 28 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->show = NULL;
#line 758 "Animation.c"
}


static void gala_animation_finalize (GObject* obj) {
	GalaAnimation * self;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, GALA_TYPE_ANIMATION, GalaAnimation);
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_g_free0 (self->priv->_filename);
#line 23 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	self->priv->_key_frame_files = (_vala_array_free (self->priv->_key_frame_files, self->priv->_key_frame_files_length1, (GDestroyNotify) g_free), NULL);
#line 28 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	_g_object_unref0 (self->priv->show);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	G_OBJECT_CLASS (gala_animation_parent_class)->finalize (obj);
#line 774 "Animation.c"
}


GType gala_animation_get_type (void) {
	static volatile gsize gala_animation_type_id__volatile = 0;
	if (g_once_init_enter (&gala_animation_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (GalaAnimationClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) gala_animation_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (GalaAnimation), 0, (GInstanceInitFunc) gala_animation_instance_init, NULL };
		GType gala_animation_type_id;
		gala_animation_type_id = g_type_register_static (G_TYPE_OBJECT, "GalaAnimation", &g_define_type_info, 0);
		g_once_init_leave (&gala_animation_type_id__volatile, gala_animation_type_id);
	}
	return gala_animation_type_id__volatile;
}


static void _vala_gala_animation_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	GalaAnimation * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, GALA_TYPE_ANIMATION, GalaAnimation);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	switch (property_id) {
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case GALA_ANIMATION_FILENAME:
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		g_value_set_string (value, gala_animation_get_filename (self));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case GALA_ANIMATION_KEY_FRAME_FILES:
#line 803 "Animation.c"
		{
			int length;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
			g_value_set_boxed (value, gala_animation_get_key_frame_files (self, &length));
#line 808 "Animation.c"
		}
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case GALA_ANIMATION_TRANSITION_PROGRESS:
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		g_value_set_double (value, gala_animation_get_transition_progress (self));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case GALA_ANIMATION_TRANSITION_DURATION:
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		g_value_set_double (value, gala_animation_get_transition_duration (self));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case GALA_ANIMATION_LOADED:
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		g_value_set_boolean (value, gala_animation_get_loaded (self));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 830 "Animation.c"
		default:
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 836 "Animation.c"
	}
}


static void _vala_gala_animation_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	GalaAnimation * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, GALA_TYPE_ANIMATION, GalaAnimation);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
	switch (property_id) {
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case GALA_ANIMATION_FILENAME:
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		gala_animation_set_filename (self, g_value_get_string (value));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case GALA_ANIMATION_KEY_FRAME_FILES:
#line 854 "Animation.c"
		{
			gpointer boxed;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
			boxed = g_value_get_boxed (value);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
			gala_animation_set_key_frame_files (self, boxed, (boxed == NULL) ? 0 : g_strv_length (boxed));
#line 861 "Animation.c"
		}
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case GALA_ANIMATION_TRANSITION_PROGRESS:
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		gala_animation_set_transition_progress (self, g_value_get_double (value));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case GALA_ANIMATION_TRANSITION_DURATION:
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		gala_animation_set_transition_duration (self, g_value_get_double (value));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		case GALA_ANIMATION_LOADED:
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		gala_animation_set_loaded (self, g_value_get_boolean (value));
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 883 "Animation.c"
		default:
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/Background/Animation.vala"
		break;
#line 889 "Animation.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/PluginManager.vala"
	if ((array != NULL) && (destroy_func != NULL)) {
#line 897 "Animation.c"
		int i;
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/PluginManager.vala"
		for (i = 0; i < array_length; i = i + 1) {
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/PluginManager.vala"
			if (((gpointer*) array)[i] != NULL) {
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/PluginManager.vala"
				destroy_func (((gpointer*) array)[i]);
#line 905 "Animation.c"
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/PluginManager.vala"
	_vala_array_destroy (array, array_length, destroy_func);
#line 22 "/builddir/build/BUILD/gala-0.3.0.136-60ee/src/PluginManager.vala"
	g_free (array);
#line 917 "Animation.c"
}



